﻿namespace SmartCard.Framework
{
	public class ConnectionOptions
	{
		#region properties

		/// <summary>
		/// Get the card connection share mode that should be used for the connection.
		/// </summary>
		public eCardConnectionShareMode ShareMode
		{ get; private set; }

		/// <summary>
		/// Get the card connection protocol that should be used to
		/// establish the connection
		/// </summary>
		public eCardConnectionProtocol ConnectionProtocol
		{ get; private set; }

		#endregion

		#region construction

		/// <summary>
		/// Default connection options, usees default connection protocol,
		/// and a shared card connection mode.
		/// </summary>
		public ConnectionOptions()
			: this (eCardConnectionProtocol.Default, eCardConnectionShareMode.Shared)
		{ }

		/// <summary>
		/// 
		/// </summary>
		/// <param name="connectionProtocol"></param>
		/// <param name="shareMode"></param>
		public ConnectionOptions(eCardConnectionProtocol connectionProtocol,
			eCardConnectionShareMode shareMode)
		{
			ShareMode = shareMode;
			ConnectionProtocol = connectionProtocol;
		}

		#endregion
	}
}
