﻿using System.ComponentModel.Composition;

namespace SmartCard.Framework
{
	[InheritedExport(typeof(ICardFeature))]
	public interface ICardFeature
	{
		/// <summary>
		/// True if the feature is supported.  Executing the function may change
		/// current state of the card, you can not assumet his operation will not
		/// change selected applet or file
		/// </summary>
		/// <returns></returns>
		bool IsSupported();

		ICard Card
		{ get; set; }
	}
}
