﻿using System.Collections.Generic;
using System.ComponentModel.Composition;

namespace SmartCard.Framework
{
	/// <summary>
	/// Interface providing discovery mechanism for locating
	/// physical smart card readers.
	/// </summary>
	[InheritedExport(typeof(ISmartCardReaderDiscovery))]
	public interface ISmartCardReaderDiscovery
	{
		/// <summary>
		/// Discovers smart card readers
		/// </summary>
		/// <returns></returns>
		IEnumerable<ISmartCardReader> Discover();
	}
}
