﻿namespace SmartCard.Framework
{
	/// <summary>
	/// Set of well defined responses from the Iso 7816-4 specification
	/// </summary>
	public enum eApduResponseMessage
	{
		Success,
		MoreDataAvailable,
		TriggeringByTheCard,
		PossibleCorruptData,
		EndOfFileReached,
		SelectedFileDeactivated,
		InvalidFormat,
		SelectedFileInTerminationState,
		NoInputDataAvailable,
		FileFilledByLastWrite,
		WarningCounter,
		ExecutionError,
		ImmediateResponseRequired,
		MemoryFailure,
		LogicalChannelNotSupported,
		SecureMessagingNotSupported,
		LastCommandOfChainExpected,
		CommandChainingNotSupported,
		CommandIncompatableWithFileStructure,
		SecurityStatusNotSatisfied,
		AuthenticationMethodBlocked,
		ReferenceDataNotUsable,
		ConditionsOfUseNotSatisfied,
		CommandNotAllowed,
		ExpectedSecureMessagingDataObjectMissing,
		IncorrectSecureMessagingDataObjects,
		IncorrectParametersInCommandDataField,
		FunctionNotSupported,
		FileOrApplicationNotFound,
		RecordNotFound,
		NotEnoughMemorySpaceInFile,
		TlvInconsistentWithCommandLength,
		IncorrectParameterP1OrP2,
		CommandLengthInconsistentWithP1OrP2,
		ReferenceDataNotFound,
		FileAlreadyExists,
		DirectFileAlreadyExists,
		UnknownError
	}
}
