﻿namespace SmartCard.Framework
{
	/// <summary>
	/// Directs how an application should connect to a card
	/// </summary>
	public enum eCardConnectionShareMode
	{
		/// <summary>
		/// Applicaiton is not willing to share this connection with any other applications
		/// </summary>
		Exclusive = 1,

		/// <summary>
		/// Application is willing to share with other applications
		/// </summary>
		Shared = 2,

		/// <summary>
		/// No other applications are allowed to access the card, the applicaiton will
		/// be accesing the card directly.
		/// </summary>
		Direct = 3
	}
}
